Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d.color
Class NamedColorSpace

    java.lang.Object
      java.awt.color.ColorSpace
          org.apache.xmlgraphics.java2d.color.NamedColorSpace

All Implemented Interfaces:
  Serializable, ColorSpaceOrigin

    public class NamedColorSpace

extends ColorSpace
implements ColorSpaceOrigin

Implements a pseudo color space for a named color which is defined in the CIE XYZ color space. At the moment, this color space always returns the fully opaque color regardless of the single component value (tint) given to its conversion methods.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`NamedColorSpace(String name, Color color)` Creates a new named color.
`NamedColorSpace(String name, Color color, String profileName, String profileURI)` Creates a new named color.
`NamedColorSpace(String name, float[] xyz)` Creates a new named color.
`NamedColorSpace(String name, float[] xyz, String profileName, String profileURI)` Creates a new named color.

Method Summary
`boolean` | `equals(Object obj)`
`float[]` | `fromCIEXYZ(float[] colorvalue)`
`float[]` | `fromRGB(float[] rgbvalue)`
`String` | `getColorName()` Returns the color name.
`float` | `getMaxValue(int component)`
`float` | `getMinValue(int component)`
`String` | `getName(int component)`
`String` | `getProfileName()` Returns the name of the profile used to identify the color space in a particular context.
`String` | `getProfileURI()` Returns the URI identifying the associate color profile.
`Color` | `getRGBColor()` Returns an sRGB-based color representing the full-tint color defined by this named color space.
`float[]` | `getXYZ()` Returns the XYZ coordinates of the named color.
`int` | `hashCode()`
`float[]` | `toCIEXYZ(float[] colorvalue)`
`float[]` | `toRGB(float[] colorvalue)`
`String` | `toString()`

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getNumComponents, getType, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedColorSpace

    public NamedColorSpace(String name,
                           float[] xyz)

  Creates a new named color.

  Parameters:
    `name` - the color name
    `xyz` - the CIE XYZ coordinates (valid values: 0.0f to 1.0f, although values slightly larger than 1.0f are common)

### NamedColorSpace

    public NamedColorSpace(String name,
                           float[] xyz,
                           String profileName,
                           String profileURI)

  Creates a new named color.

  Parameters:
    `name` - the color name
    `xyz` - the CIE XYZ coordinates (valid values: 0.0f to 1.0f, although values slightly larger than 1.0f are common)
    `profileName` - Optional profile name associated with this color space
    `profileURI` - Optional profile URI associated with this color space

### NamedColorSpace

    public NamedColorSpace(String name,
                           Color color,
                           String profileName,
                           String profileURI)

  Creates a new named color.

  Parameters:
    `name` - the color name
    `color` - the color to use when the named color's specific color properties are not available.
    `profileName` - Optional profile name associated with this color space
    `profileURI` - Optional profile URI associated with this color space

### NamedColorSpace

    public NamedColorSpace(String name,
                           Color color)

  Creates a new named color.

  Parameters:
    `name` - the color name
    `color` - the color to use when the named color's specific color properties are not available.

Method Detail

### getColorName

    public String getColorName()

  Returns the color name.

  Returns:
    the color name

### getProfileName

    public String getProfileName()

  Returns the name of the profile used to identify the color space in a particular context.

  Specified by:
    `getProfileName` in interface `ColorSpaceOrigin`
  Returns:
    the profile name

### getProfileURI

    public String getProfileURI()

  Returns the URI identifying the associate color profile.

  Specified by:
    `getProfileURI` in interface `ColorSpaceOrigin`
  Returns:
    the profile URI

### getXYZ

    public float[] getXYZ()

  Returns the XYZ coordinates of the named color.

  Returns:
    the XYZ coordinates of the named color

### getRGBColor

    public Color getRGBColor()

  Returns an sRGB-based color representing the full-tint color defined by this named color space.

  Returns:
    the sRGB color

### getMinValue

    public float getMinValue(int component)

  Overrides:
    `getMinValue` in class `ColorSpace`

### getMaxValue

    public float getMaxValue(int component)

  Overrides:
    `getMaxValue` in class `ColorSpace`

### getName

    public String getName(int component)

  Overrides:
    `getName` in class `ColorSpace`

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  Specified by:
    `fromCIEXYZ` in class `ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Specified by:
    `fromRGB` in class `ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  Specified by:
    `toCIEXYZ` in class `ColorSpace`

### toRGB

    public float[] toRGB(float[] colorvalue)

  Specified by:
    `toRGB` in class `ColorSpace`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.